Debian Bug report logs - #465691
RFP: cinepaint -- tool for motion picture frame-by-frame painting, retouching

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "a. kelly" <etorix@gmail.com>

Date: Thu, 14 Feb 2008 01:09:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#465691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "a. kelly" <etorix@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "a. kelly" <etorix@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: CinePaint is a painting and retouching tool primarily used for motion picture frame-by-frame retouching and dust-busting
Date: Thu, 14 Feb 2008 01:05:29 +0000
Package: wnpp
Severity: wishlist
Owner: "a. kelly" <etorix@gmail.com>


* Package name    : CinePaint
  Version         : 0.22-3
  Upstream Author : Robin.Rowe@MovieEditor.com
* URL             : www.cinepaint.org
* License         : CinePaint contains code that is a mix of open source
* licenses - GPL - LGPL - MIT OSI (a BSD-like license) 
  Programming Lang: C
  Description     : CinePaint is a painting and retouching tool primarily used for motion 
  picture frame-by-frame retouching and dust-busting. It was used on THE 
  LAST SAMURAI, HARRY POTTER and many other films. CinePaint is
  different from other painting tools because it supports 
  deep color depth image formats up to 32 bits per channel deep. For 
  comparison, GIMP is limited 8-bit, and Photoshop to 16-bit. These debs
  are built using gtk2.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'testing'), (50, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-2.6.24.2.slh.4-sidux-686 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
Shell: /bin/sh linked to /bin/bash




Changed Bug title to `ITP: cinepaint -- tool for motion picture frame-by-frame painting, retouching and dust-busting' from `ITP: CinePaint is a painting and retouching tool primarily used for motion picture frame-by-frame retouching and dust-busting '. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 14 Feb 2008 02:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>:
Bug#465691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>. Full text and rfc822 format available.

Message #12 received at 465691@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: "a. kelly" <etorix@gmail.com>, 465691@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#465691: ITP: CinePaint is a painting and retouching tool primarily used for motion picture frame-by-frame retouching and dust-busting
Date: Thu, 14 Feb 2008 06:59:22 +0100
[Message part 1 (text/plain, inline)]
Quoting a. kelly (etorix@gmail.com):
> Package: wnpp
> Severity: wishlist
> Owner: "a. kelly" <etorix@gmail.com>
> 
> 
> * Package name    : CinePaint
>   Version         : 0.22-3
>   Upstream Author : Robin.Rowe@MovieEditor.com
> * URL             : www.cinepaint.org
> * License         : CinePaint contains code that is a mix of open source
> * licenses - GPL - LGPL - MIT OSI (a BSD-like license) 
>   Programming Lang: C
>   Description     : CinePaint is a painting and retouching tool primarily used for motion 
>   picture frame-by-frame retouching and dust-busting. It was used on THE 
>   LAST SAMURAI, HARRY POTTER and many other films. CinePaint is
>   different from other painting tools because it supports 
>   deep color depth image formats up to 32 bits per channel deep. For 
>   comparison, GIMP is limited 8-bit, and Photoshop to 16-bit. These debs
>   are built using gtk2.


This needs a *short* description..:-)

I propose "motion picture frame-by-frame painting and retouching tool"
and move the rest to the *long* description.

Also, please drop any comparison stuff from the description. In short,
a package description is not advertisment..:-)...and nothing
guarantees that what you say about GIMP will remain true in a few years.


In short: be factual about this package and this package only.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>:
Bug#465691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Y Giridhar Appaji Nag <giridhar@appaji.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>. Full text and rfc822 format available.

Message #17 received at 465691@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <giridhar@appaji.net>
To: "a. kelly" <etorix@gmail.com>
Cc: 465691@bugs.debian.org, Thanasis Kinias <tkinias@kinias.org>
Subject: Re: Bug#465691: ITP: CinePaint is a painting and retouching tool primarily used for motion picture frame-by-frame retouching and dust-busting
Date: Thu, 14 Feb 2008 13:04:59 +0530
[Message part 1 (text/plain, inline)]
On 08/02/14 01:05 +0000, a. kelly said ...
> * Package name    : CinePaint
>   Version         : 0.22-3
>   Description     : CinePaint is a painting and retouching tool primarily used for motion 

You might also want to speak to Thanasis Kinias <tkinias@kinias.org>.
See http://bugs.debian.org/437837#25 and http://bugs.debian.org/437837#34

Giridhar

-- 
Y Giridhar Appaji Nag | http://www.appaji.net/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>:
Bug#465691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to William Pitcock <nenolod@sacredspiral.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>. Full text and rfc822 format available.

Message #22 received at 465691@bugs.debian.org (full text, mbox):

From: William Pitcock <nenolod@sacredspiral.co.uk>
To: "a. kelly" <etorix@gmail.com>, 465691@bugs.debian.org
Subject: Re: Bug#465691: ITP: CinePaint is a painting and retouching tool primarily used for motion picture frame-by-frame retouching and dust-busting
Date: Thu, 14 Feb 2008 03:01:50 -0600
[Message part 1 (text/plain, inline)]
Hi,

On Thu, 2008-02-14 at 01:05 +0000, a. kelly wrote:
> Package: wnpp
> Severity: wishlist
> Owner: "a. kelly" <etorix@gmail.com>
> 
> 
> * Package name    : CinePaint

Source package names should always be lowercase.

>   Version         : 0.22-3

This is not acceptable: it should be the _upstream_ version. 

>   Upstream Author : Robin.Rowe@MovieEditor.com
> * URL             : www.cinepaint.org
> * License         : CinePaint contains code that is a mix of open source
> * licenses - GPL - LGPL - MIT OSI (a BSD-like license) 

This is OK, but you need to make sure debian/copyright identifies what
is under what license.

>   Programming Lang: C
>   Description     : CinePaint is a painting and retouching tool primarily used for motion 

A short sentence needs to be the first line, e.g. "motion picture
retouching and painting tool".

>   picture frame-by-frame retouching and dust-busting. It was used on THE 
>   LAST SAMURAI, HARRY POTTER and many other films. CinePaint is
>   different from other painting tools because it supports 
>   deep color depth image formats up to 32 bits per channel deep. For 
>   comparison, GIMP is limited 8-bit, and Photoshop to 16-bit. These debs
>   are built using gtk2.

Comparisons against GIMP and Photoshop are probably a bad idea, since
this tool has a different purpose. The sentence, "These debs are built
using gtk2." has no real value and should be removed from the
description.

Additionally, your average Debian user is not going to care what films
it was used on.

> 
> 
> -- System Information:
> Debian Release: lenny/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (200, 'testing'), (50, 'experimental')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.24-2.6.24.2.slh.4-sidux-686 (SMP w/2 CPU cores; PREEMPT)
> Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968) (ignored: LC_ALL set to C)
> Shell: /bin/sh linked to /bin/bash
> 
> 
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>:
Bug#465691; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, "a. kelly" <etorix@gmail.com>. Full text and rfc822 format available.

Message #27 received at 465691@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: "a. kelly" <etorix@gmail.com>, 465691@bugs.debian.org
Subject: Re: Bug#465691: ITP: CinePaint is a painting and retouching tool primarily used for motion picture frame-by-frame retouching and dust-busting
Date: Fri, 22 Feb 2008 23:39:28 +0100
> * Package name    : CinePaint


If you need sponsoring or help, please contact my.

Cheers,

Bernd


-- 
Bernd Zeimetz
<bernd@bzed.de>                         <http://bzed.de/>




Reply sent to etorix <etorix@gmail.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "a. kelly" <etorix@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 465691-done@bugs.debian.org (full text, mbox):

From: etorix <etorix@gmail.com>
To: 465691-done@bugs.debian.org
Subject: I am not good enough
Date: Mon, 12 May 2008 05:44:03 +0100
From: a kelly <etorix@gmail.com>

sorry, im not competent enough to do any further work on this package,
i hope someone else picks it up




Bug reopened, originator not changed. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Mon, 12 May 2008 04:51:05 GMT) Full text and rfc822 format available.

Changed Bug title to `RFP: cinepaint -- tool for motion picture frame-by-frame painting, retouching and dust-busting' from `ITP: cinepaint -- tool for motion picture frame-by-frame painting, retouching and dust-busting'. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Mon, 12 May 2008 04:51:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "a. kelly" <etorix@gmail.com>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 24 May 2008 09:36:10 GMT) Full text and rfc822 format available.

Owner recorded as bzed@debian.org. Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Tue, 25 Nov 2008 23:42:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: cinepaint -- tool for motion picture frame-by-frame painting, retouching' from `RFP: cinepaint -- tool for motion picture frame-by-frame painting, retouching and dust-busting'. Request was from Bernd Zeimetz <bzed@debian.org> to control@bugs.debian.org. (Tue, 25 Nov 2008 23:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, bzed@debian.org:
Bug#465691; Package wnpp. (Mon, 02 Feb 2009 06:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Savvas Radevic <vicedar@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, bzed@debian.org. (Mon, 02 Feb 2009 06:18:02 GMT) Full text and rfc822 format available.

Message #47 received at 465691@bugs.debian.org (full text, mbox):

From: Savvas Radevic <vicedar@gmail.com>
To: 465691@bugs.debian.org
Subject: cvs links
Date: Mon, 2 Feb 2009 07:14:56 +0100
FYI, if anyone is trying to get the new source from cvs:
http://cinepaint.cvs.sourceforge.net/

cvs -d:pserver:anonymous@cinepaint.cvs.sourceforge.net:/cvsroot/cinepaint login
cvs -z3 -d:pserver:anonymous@cinepaint.cvs.sourceforge.net:/cvsroot/cinepaint
co -P cinepaint-project




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, bzed@debian.org:
Bug#465691; Package wnpp. (Mon, 02 Feb 2009 06:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Savvas Radevic <vicedar@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, bzed@debian.org. (Mon, 02 Feb 2009 06:21:02 GMT) Full text and rfc822 format available.

Message #52 received at 465691@bugs.debian.org (full text, mbox):

From: Savvas Radevic <vicedar@gmail.com>
To: 465691@bugs.debian.org
Subject: launchpad
Date: Mon, 2 Feb 2009 07:20:21 +0100
Requested at Launchpad as well:
https://bugs.launchpad.net/bugs/190791




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 18:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, bzed@debian.org:
Bug#465691; Package wnpp. (Wed, 13 Oct 2010 06:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, bzed@debian.org. (Wed, 13 Oct 2010 06:09:06 GMT) Full text and rfc822 format available.

Message #59 received at 465691@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: control@bugs.debian.org, 465691@bugs.debian.org
Subject: RFP-ing again
Date: Wed, 13 Oct 2010 08:06:38 +0200
retitle 465691 RFP: cinepaint -- tool for motion picture frame-by-frame painting, retouching
thanks

I don't have the time to work on this unfortunately. As there is still
no proper replacement for the HDR functions of cinepaint it would make
sense to package it, so I'm retitling the bug to RFP again.

Some packaging work was done and can be found on alioth in the collab-
maint git.

Cheers,

Bernd

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F




Changed Bug title to 'RFP: cinepaint -- tool for motion picture frame-by-frame painting, retouching' from 'ITP: cinepaint -- tool for motion picture frame-by-frame painting, retouching' Request was from Bernd Zeimetz <bernd@bzed.de> to control@bugs.debian.org. (Wed, 13 Oct 2010 06:09:09 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by bzed@debian.org. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Wed, 06 Jun 2012 00:39:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#465691; Package wnpp. (Sat, 08 Jun 2013 11:30:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henri Salo <henri@nerv.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 08 Jun 2013 11:30:09 GMT) Full text and rfc822 format available.

Message #68 received at 465691@bugs.debian.org (full text, mbox):

From: Henri Salo <henri@nerv.fi>
To: 465691@bugs.debian.org
Subject: comments
Date: Sat, 8 Jun 2013 14:26:43 +0300
[Message part 1 (text/plain, inline)]
Looks useful tool. I installed this to my friends computer few days ago and she
is using this now for her work. This would be nice package for Debian. If
someone is interested of maintaining this I could help with smaller tasks (I'm
not yet DD).

---
Henri Salo
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:01:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.